package com.ruoyi.cs.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工单类型对象 cs_order_class
 *
 * @author ruoyi
 * @date 2024-04-23
 */
public class CsOrderClass extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 工单类型主键ID */
    private String orderClassId;

    /** 工单类型名 */
    @Excel(name = "工单类型名")
    private String orderClassName;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 状态：0-正常，1-隐藏 */
    @Excel(name = "状态：0-正常，1-隐藏")
    private String status;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    @Excel(name = "删除标记：0-正常，1-删除")
    private String delFlag;

    public void setOrderClassId(String orderClassId)
    {
        this.orderClassId = orderClassId;
    }

    public String getOrderClassId()
    {
        return orderClassId;
    }
    public void setOrderClassName(String orderClassName)
    {
        this.orderClassName = orderClassName;
    }

    public String getOrderClassName()
    {
        return orderClassName;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setSort(Integer sort)
    {
        this.sort = sort;
    }

    public Integer getSort()
    {
        return sort;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("orderClassId", getOrderClassId())
            .append("orderClassName", getOrderClassName())
            .append("content", getContent())
            .append("status", getStatus())
            .append("sort", getSort())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
